OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class ImapPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.AbstractTcpPlugin
              org.opennms.netmgt.capsd.ImapPlugin

All Implemented Interfaces:
  Plugin

public final class ImapPlugin
extends AbstractTcpPlugin

This class is designed to be used by the capabilities daemon to test for the existance of an IMAP server on remote interfaces. The class implements the Plugin interface that allows it to be used along with other plugins by the daemon.

Author:
  Sowmya Nataraj , Weave , OpenNMS

Field Summary
`private static int` `DEFAULT_PORT` The default port on which the host is checked to see if it supports IMAP.
`private static int` `DEFAULT_RETRY` Default number of retries for IMAP requests
`private static int` `DEFAULT_TIMEOUT` Default timeout (in milliseconds) for IMAP requests
`private static java.lang.String` `IMAP_BYE_RESPONSE_PREFIX` The BYE response received from the server in response to the logout
`private static java.lang.String` `IMAP_LOGOUT_REQUEST` The LOGOUT request sent to the server to close the connection
`private static java.lang.String` `IMAP_LOGOUT_RESPONSE_PREFIX` The LOGOUT response received from the server in response to the logout
`private static java.lang.String` `IMAP_START_RESPONSE_PREFIX` The start of the initial banner received from the server
`private static java.lang.String` `PROTOCOL_NAME` The name of the protocol supported by this plugin.

Fields inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`m_defaultPort, m_defaultRetry, m_defaultTimeout, m_pluginName, m_protocolName`

Constructor Summary
`ImapPlugin()`

Method Summary
`protected boolean` `checkProtocol(java.net.Socket socket, ConnectionConfig config)`

Methods inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`checkConnection, closeSocket, createConnectionConfig, getConnectionConfigList, getKeyedInteger, getKeyedIntegerArray, getPluginName, getProtocolName, isProtocolSupported, isProtocolSupported, populateConnectionConfig, preconnectCheck, saveConfig, saveKeyedInteger, setPluginName, wrapSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    private static final int DEFAULT_PORT

  The default port on which the host is checked to see if it supports IMAP.

  See Also:
    Constant Field Values

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default number of retries for IMAP requests

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout (in milliseconds) for IMAP requests

  See Also:
    Constant Field Values

### IMAP_BYE_RESPONSE_PREFIX

    private static java.lang.String IMAP_BYE_RESPONSE_PREFIX

  The BYE response received from the server in response to the logout

### IMAP_LOGOUT_REQUEST

    private static java.lang.String IMAP_LOGOUT_REQUEST

  The LOGOUT request sent to the server to close the connection

### IMAP_LOGOUT_RESPONSE_PREFIX

    private static java.lang.String IMAP_LOGOUT_RESPONSE_PREFIX

  The LOGOUT response received from the server in response to the logout

### IMAP_START_RESPONSE_PREFIX

    private static java.lang.String IMAP_START_RESPONSE_PREFIX

  The start of the initial banner received from the server

### PROTOCOL_NAME

    private static final java.lang.String PROTOCOL_NAME

  The name of the protocol supported by this plugin.

  See Also:
    Constant Field Values

Constructor Detail

### ImapPlugin

    public ImapPlugin()

Method Detail

### checkProtocol

    protected boolean checkProtocol(java.net.Socket socket,
                                    ConnectionConfig config)
                             throws java.io.IOException

  Specified by:
    `checkProtocol` in class `AbstractTcpPlugin`
  Parameters:
    `socket` -
  Returns:
  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.